Bug 1290828 - Multidisplay setup losts its configuration during system sleep
Multidisplay setup losts its configuration during system sleep
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-11 09:52 EST by czerny.jakub
Modified: 2016-12-20 11:55 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:55:42 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
systemd_log (109.62 KB, text/plain)
2015-12-11 09:58 EST, czerny.jakub
no flags Details

  None (edit)
Description czerny.jakub 2015-12-11 09:52:06 EST
Description of problem:
I have a laptop and external display connected using dock station. Displays have custom arrangement (not external display on the right of the build-in one). When I put laptop to sleep and woke it up again, external display is not turned on. After several (sometimes one is enough) dock reconnects or pressing Win+P the external display is turned on. However the custom display arrangement is lost (external display is next to the build-in one) and it has to be manually set again.

Version-Release number of selected component (if applicable):
Fully updated Fedora 23. (It applies to also to Fedora 20, 21, 22. Last correctly working was Fedora 19).

How reproducible:
Often, say 75%

Steps to Reproduce:
1. Connect external display (I did it using dock station)
2. Arrange one display above the other one (using `gnome-control-center display`)
3. Sleep the system
4. Wake up the system

Actual results:
Only build-in display is on, external is off. 

Expected results:
Both displays are on right after wake up. Custom display arrangement is preserved.

Additional info:
        *-display
             description: VGA compatible controller
             product: Haswell-ULT Integrated Graphics Controller
             vendor: Intel Corporation
             physical id: 2
             bus info: pci@0000:00:02.0
             version: 0b
             width: 64 bits
             clock: 33MHz
             capabilities: vga_controller bus_master cap_list rom
             configuration: driver=i915 latency=0
             resources: irq:49 memory:d0000000-d03fffff memory:c0000000-cfffffff ioport:3000(size=64)
Comment 1 czerny.jakub 2015-12-11 09:58 EST
Created attachment 1104719 [details]
systemd_log

output of `sudo journalctl -f` that ran over
1. putting laptop to sleep (connected to dock)
2. waking up the laptop (external display off after awakening)
3. disconnecting laptop from dock
4. reconnecting to dock (external display on after reconnecting)
Comment 2 czerny.jakub 2015-12-11 10:38:39 EST
It seems that this issue can be prevented by letting video rendering app (tested with Firefox + <video> element and totem)
 - on the external display
 - as focused app when putting laptop to sleep (by power button)
 - playback may be paused or playing but the window shouldn't lost focus from last playing till the sleep.
Comment 3 Fedora End Of Life 2016-11-24 09:10:10 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2016-12-20 11:55:42 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.